SDL_HINT_JOYSTICK_RAWINPUT_CORRELATE_XINPUT(3)

NAME
SDL_HINT_JOYSTICK_RAWINPUT_CORRELATE_XINPUT - A variable controlling whether the RAWINPUT driver should pull correlated data from XInput.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_RAWINPUT_CORRELATE_XINPUT SDL_JOYSTICK_RAWINPUT_CORRELATE_XINPUT"

DESCRIPTION
The variable can be set to the following values:

• "0": RAWINPUT driver will only use data from raw input APIs.

• "1": RAWINPUT driver will also pull data from XInput and
  Windows.Gaming.Input, providing better trigger axes, guide button
  presses, and rumble support for Xbox controllers. (default)

This hint should be set before a gamepad is opened.

AVAILABILITY
This hint is available since SDL 3.2.0.